import { Dispatch, SetStateAction } from 'react';
import { RN } from 'rnjs';
export declare const useRN: <T>(source$: RN<T>) => RN<T>;
export declare const useRNEffect: <T>(source$: RN<T>, subscriptionFn: (v: T) => void, runWithFirstValue?: boolean) => void;
export declare const useRNValue: <T>(source$: RN<T>, runWithFirstValue?: boolean) => T;
export declare const useStateAsStream: <T>(initialState: T) => [RN<T>, (v: T) => void];
export declare const useEventAsStream: () => [RN<void>, () => void];
export declare const usePropAsStream: <T>(prop: T) => RN<T>;
export declare const useEffectFromProps: <T>(input: T | undefined, callback: (v: T) => any, deps?: any[] | undefined) => void;
export declare const useStateWithResetter: <T>(initialState: T | (() => T)) => [T, Dispatch<SetStateAction<T>>, () => void];
export declare const useStateAsStreamWithResetter: <T>(initialState: T) => [RN<T>, (v: T) => void, () => void];
//# sourceMappingURL=index.d.ts.map